import type { VueInstance } from '@antdv/ui/es/types';
export declare function splitAttrs(attrs: any): {
    onEvents: Record<string, any>;
    events: Record<string, any>;
    extraAttrs: Record<string, any>;
};
export declare function parseStyleText(cssText?: string, camel?: boolean): {};
export declare function hasProp(instance: any, prop: string): boolean;
export declare const skipFlattenKey: unique symbol;
export declare function flattenChildren(children?: any[], filterEmpty?: boolean): any[];
export declare function getSlot(self: any, name?: string, options?: {}): any[];
export declare function findDOMNode(instance: any): any;
export declare function getOptionProps(instance: VueInstance): {};
export declare function getComponent(instance: any, prop?: string, options?: any, execute?: boolean): any;
export declare function getKey(ele: any): any;
export declare function getEvents(ele?: any, on?: boolean): Record<string, any>;
export declare function getClass(ele: any): {};
export declare function getStyle(ele: any, camel?: boolean): any;
export declare function getComponentName(opts: any): any;
export declare function filterEmpty(children?: any[]): any[];
export declare function filterEmptyWithUndefined(children: any[]): any[];
export declare function getPropsSlot(slots: any, props: any, prop?: string): any;
export declare function getTextFromElement(ele: any): any;
